#ifndef _AUDIO_H    /* Guard against multiple inclusion */
#define _AUDIO_H

#define DMAbgm 2 // bgm being played back continuously
#define DMAhit 3 // sound produced by keystroke

void init_audio(); // initialize audio setup

void config_bgm(int n); // configure background soundtrack
void config_hit(int n); // configure hit sound

void config_speed(float k); // configure timer interval

#include "scene_rope.h"

#endif