#include "game_manager.h"

extern char key_old;
char curv_sel = 0, curv_sel_old = 0;
// ======== sprites ========
char curv_btn_1_txt[5];
void demo_curve_button_1_update(sprite_t* s, int dt){
    
}

void demo_curve_button_1_init(sprite_t* s, int dt){
    
}

sprite_t demo_curve_button_1 = {0,0,0,0,0,0,demo_curve_button_1_init,0,0};

// ======== scene ========

void scene_demo_curve_update(scene_t* s, int dt){
    if (getbuttondown(KEY_DOWN)){
        if (!(key_old & 1)) {
            DmaChnEnable(DMAhit);
            game_manager_load_scene(6);
        }
        key_old |= 1;
    } else {
        key_old &= ~(1<<0);
    }
    
    if (getbuttondown(KEY_UP)){
        if (!(key_old & (1<<1))) {
            DmaChnEnable(DMAhit);
            game_manager_load_scene(8);
        }
        key_old |= (1 << 1);
    } else {
        key_old &= ~(1 << 1);
    }
    
    if (getbuttondown(KEY_B)){
        if (!(key_old & (1<<3))) {
            DmaChnEnable(DMAhit);
            game_manager_load_scene(0);
        }
        key_old |= (1 << 3);
    } else {
        key_old &= ~(1 << 3);
    }
}

char title_str[20];
char help_str[20];

void scene_demo_curve_init(scene_t* s, int dt){
    video_clr();
    
    s->update_func = scene_demo_curve_update;
    
    // init the scene here
    // Draw the screen boundaries
    video_line(left+30,top+25, right-30,top+25, 1); // top
    video_line(right-30,top+25, right-30,bottom-25, 1); // right
    video_line(right-30,bottom-25, left+30,bottom-25, 1); // bottom
    video_line(left+30,top+25, left+30,bottom-25 ,1); // left
    
    sprintf(title_str, "Bezier Curve");
    video_string((left+right)/2-30, top+35, title_str);
    
    sprintf(help_str, "Press B to return.");
    video_string(left+5, bottom-8, help_str);
}

scene_t scene_demo_curve = {scene_demo_curve_init, NULL, NULL, 0};